#include "device_manager.hh"
#include "device_list.hh"
#include "device_status.hh"
#include "device.hh"

void DeviceManager::AppendDevice (Device* dev)
{
  devices.push_back ( dev );
  dev -> Build ( devlist -> newBoxForDevice (dev) );
  devstatus -> AppendDevice ( dev );
  dev -> newActive ();
}

void DeviceManager::StatesChanged ()
{
  devlist -> StatesChanged ();
  devstatus -> StatesChanged ();
}
