#include <qcheckbox.h>
#include <qvbox.h>
#include "address_box.hh"

class AddressTab : public QVBox
{
  Q_OBJECT
public:
  AddressTab (QWidget* parent, network_config::AddressSubsection* subsection);

  QCheckBox* dhcp;
  AddressBox* abox;

  void NewConfig (network_config::AddressSubsection* subsection);

public slots:
  void Dhcp (bool state);
private:
  network_config::AddressSubsection* config;
};
